#pragma once

#include <QSyntaxHighlighter>
#include <QRegularExpression>

class Highlighter : public QSyntaxHighlighter {
  Q_OBJECT
public:
  Highlighter(QTextDocument* parent = NULL);
protected:
  void highlightBlock(const QString &text);
private:
  struct HighlightingRule {
    QRegularExpression pattern;
    QTextCharFormat format;
  };
  QList<HighlightingRule> highlightingRules;
};
